Subject: Re: [PATCH 3/4] powerpc: EEH: capture and log pci state on error

From: [email-masked] (Linas Vepstas)
Date: Wed, 9 May 2007 11:29:45 -0500

On Tue, May 08, 2007 at 11:54:39PM -0500, Olof Johansson wrote:
> Hi,
> 
> > +#define EEH_PCI_REGS_LOG_LEN 4096
> > +static unsigned char pci_regs_buf[EEH_PCI_REGS_LOG_LEN];
> 
> I'm guessing this has to be in BSS because of the requrements of being
> addressable in realmode for RTAS? Could be nice to document in a comment
> so noone tries to make it a local variable later on.

Yep, exactly. Funny, I thought exactly that: "Someone is going to want
me to change this to a kmalloc. What should I do to avoid this
question?" It never occured to me that all I needed was a mere comment.

--linas